import { defineConfig } from "vitest/config";
import path from "path";

export default defineConfig({
  test: {
    environment: "node",
    alias: {
      "prettier/plugins/html": path.resolve(
        process.cwd(),
        "../../node_modules/prettier/plugins/html.js",
      ),
      "prettier/parser-html": path.resolve(
        process.cwd(),
        "../../node_modules/prettier/plugins/html.js",
      ),
    },
    server: {
      deps: {
        inline: [/@react-email/],
      },
    },
  },
});
